EDIT - task #2376

Divide preferred and other determinations in editor
05/10/2011 04:34 PM - Andreas Mller

Status: New Start date:

Priority: Priority12 Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

It would be more comfortable if the user doesn't need to reed all preferred flags to find out what the preferred/current determination of
a specimen is.

Better we show the one preferred determination and all other non-preferred' specimen separately.

Note: setting the preferred determination may influence the set of other by pushing the last preferred determination to the
determination history. So the both userinterface should update each other.

[DISCUSS] the later behaviour needs to be discussed. we could also completely remove the last preferred determination once a new
one is set.

see also #2375

History

#1 - 05/10/2011 04:35 PM - Andreas Miiller

- Subject changed from Devide preferred and other determinations in editor to Divide preferred and other determinations in editor

#2 - 05/10/2011 04:45 PM - Andreas Miiller

The preferred flag should not be shown anymore after this refactoring !

#3 - 05/12/2011 11:43 AM - Niels Hoffmann
- Status changed from New to In Progress
- Priority changed from Priority08 to Highest

- Tracker changed from feature request to task

#4 - 05/12/2011 12:10 PM - Niels Hoffmann

since r12105, implementation is available and partly working. Enable showExperimentalFeatures in editor to see it.
TODO remove the experimental feature check once this ticket is closed (in DetailsViewer)

#5 - 05/12/2011 06:47 PM - Niels Hoffmann

- Status changed from In Progress to Resolved

- Assignee changed from Niels Hoffmann to Andreas Miiller

implemented since r12121

#6 - 06/01/2011 11:33 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Niels Hoffmann

we probably still need one or two buttons for

1) toggling current and historical determinations or

2) just move the current one into the history (for entering a new one) or

3) moving a historical one up to the current one (if no current exists currently)

03/20/2024 1/3




#7 - 08/04/2014 07:54 PM - Andreas Miiller

- Assignee changed from Niels Hoffmann to Andreas Miiller

#8 - 04/20/2015 06:07 PM - Andreas Miiller
- Status changed from Resolved to In Progress
- Target version deleted (TaxEditor Next Major Release)
Replying to a.mueller:
we probably still need one or two buttons for

1) toggling current and historical determinations or

2) just move the current one into the history (for entering a new one) or

3) moving a historical one up to the current one (if no current exists currently)

These are still open. We may also discuss with users (Campanula) how they would like to have this implemented best.

#9 - 04/20/2015 06:07 PM - Andreas Miiller
- Status changed from In Progress to New

- Assignee changed from Andreas Miller to p.plitzner -

#10 - 09/21/2015 01:25 PM - Andreas Miiller

- Assignee changed from p.plitzner - to Andreas Mtiller

Decide what we really want

#11 - 01/05/2017 02:40 PM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 4.6

#12 - 03/10/2017 09:02 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#13 - 05/11/2017 11:17 AM - Andreas Muller

- Target version changed from Release 4.7 to Release 4.8

#14 - 07/06/2017 10:40 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#15 - 07/21/2017 10:36 AM - Andreas Muller

- Target version changed from Release 4.9 to Release 4.10

#16 - 09/24/2017 01:24 AM - Andreas Muller

- Target version changed from Release 4.10 to Release 4.12

#17 - 12/05/2017 02:37 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#18 - 01/31/2018 12:19 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#19 - 02/15/2018 03:20 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#20 - 02/21/2018 02:11 PM - Andreas Miiller

- Private changed from Yes to No
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment6

#21 - 02/21/2018 02:13 PM - Andreas Miiller

- Target version changed from Release 5.0 to Reviewed Next Major Release

#22 - 02/19/2019 04:49 PM - Andreas Miiller
- Priority changed from Highest to Priority12
